Permalink
Browse files

Upgrade setuptools to avoid absl-py error (#581)

  • Loading branch information...
alsrgv committed Oct 23, 2018
1 parent 858c190 commit 4efa3fb75f374a91353dc6eefe42afe0ab83057b
Showing with 2 additions and 2 deletions.
  1. +2 −2 .travis.yml
View
@@ -28,11 +28,11 @@ before_install:
- |
if [[ ${TRAVIS_PYTHON_VERSION} == 3* ]]; then
docker exec ${CONTAINER} /bin/sh -c "apt-get install -y python${TRAVIS_PYTHON_VERSION} python${TRAVIS_PYTHON_VERSION}-dev python3-pip python3-requests"
docker exec ${CONTAINER} /bin/sh -c "pip3 install -U --force pip"
docker exec ${CONTAINER} /bin/sh -c "pip3 install -U --force pip setuptools"
docker exec ${CONTAINER} /bin/sh -c "ln -s /usr/bin/python3 /usr/bin/python"
else
docker exec ${CONTAINER} /bin/sh -c "apt-get install -y python${TRAVIS_PYTHON_VERSION} python${TRAVIS_PYTHON_VERSION}-dev python-pip python-requests"
docker exec ${CONTAINER} /bin/sh -c "pip install -U --force pip"
docker exec ${CONTAINER} /bin/sh -c "pip install -U --force pip setuptools"
fi
# install necessary network tools
- docker exec ${CONTAINER} /bin/sh -c "apt-get install -y wget openssh-client git"

0 comments on commit 4efa3fb

Please sign in to comment.